#ifndef SPICE_PLOT_H
#define SPICE_PLOT_H


#include <Application.h>
#include <Window.h>
#include <View.h>
#include <MenuBar.h>
#include <Menu.h>
#include <MenuItem.h>
#include <Alert.h>
#include <Bitmap.h>


static const char *MY_SIG="application/x-vnd.dungan-spice_plot";

const rgb_color color_table[8] = {
   {255,255,255,0}, // white
   {0  ,0  ,0  ,0}, // black
   {255,  0, 0, 0}, // red
   {0  ,255,0  ,0}, // blue
   {0  ,0  ,255,0}, // green
   {255,255,0  ,0},
   {255,0  ,255,0},
   {0  ,255,255,0}
};


class spice_plot : public BApplication {
public:
   spice_plot(void);
   virtual void AboutRequested(void);
};


class spice_plot_window : public BWindow {
public:
   spice_plot_window(BRect frame);
   virtual bool QuitRequested(void);
};


class spice_plot_view : public BView {
   BView *offview;
   BBitmap *plot_data;
public:
   spice_plot_view(BRect frame);
   virtual void Draw(BRect update_area);
   virtual void Pulse(void);
};


#endif
